%define name FaxMail
%define version 2.3
%define release 10mdk

Summary: A program to send faxes for free via email and the TPC system
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Mail
Source: ftp://www.inference.phy.cam.ac.uk/pub/www/FaxMail/%{name}-%version.tar.bz2
Patch0: FaxMail-2.3-misc.patch.bz2
Patch1: FaxMail-2.3-fhs.patch.bz2
URL: http://www.inference.phy.cam.ac.uk/FaxMail/ 
Requires: tk >= 4.0, tcl >= 7.5
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl, tk

%description
This package contains FaxMail, a utility to assist in preparing and
sending faxes via the internet's Email-Fax gateway.  It does this
via the TPC.INT service.  See http://www.tpc.int/ for details.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch0 -p1 -b .misc 
%patch1 -p1 -b .fhs
     
%build
make 

%install
make ROOT="$RPM_BUILD_ROOT" INSTALLMANPATH=%{_mandir} INSTALLINFOPATH=%{_infodir} install

%files
%defattr(-,root,root)
%dir %{_datadir}/FaxMail
%{_datadir}/FaxMail/FaxMail.tcl
%{_datadir}/FaxMail/cover.lst
%{_bindir}/FaxMail
%{_bindir}/tryfax
%{_mandir}/man1/*
%{_infodir}/*
%doc COPYING FaxMail.html HISTORY README

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%changelog
* Fri May 14 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.3-10mdk
- rebuild, update URLs, rpmlint/FHS (patch1)

* Mon Apr 28 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.3-9mdk
- distriblint

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.3-8mdk
- rebuild for new glibc/rpm, remove unused patch1

* Tue Jul 24 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.3-7mdk
- Don't obsolete itself
- s/Copyright/License

* Mon May 21 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.3-6mdk
- BuildRequires: tk

* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 2.3-5mdk
- carroect packager flag

* Thu Aug 24 2000 Vincent Saugey <vince@mandrakesoft.com> 2.3-4mdk
- Install info

* Fri Jul 28 2000 Vincent Saugey <vince@mandrakesoft.com> 2.3-3mdk
- BM, Macros

* Wed Apr 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.3-2mdk
- updated groups to correct group names.

* Thu Feb 17 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- removed if statement in .spec file. Mandrake always has libresolv
 
* Mon Nov 23 1998 Matt Davey <mcdavey@mrao.cam.ac.uk>
- Upgraded to FaxMail-2.3
- Changed SRPM according to RHCN Package Requirements      
